#ifndef _MATH_UTILITY_H_
#define _MATH_UTILITY_H_

//-------------------------------------------------------------------------------

template<class T>
inline 
T MAX(T a, T b) 
{ 

  return a > b ? a : b; 

}

//-------------------------------------------------------------------------------

template<class T>
inline 
T MIN(T a, T b) 
{ 
  
  return a < b ? a : b; 

}

//-------------------------------------------------------------------------------

template<class T>
inline 
T ABS(T x) 
{ 

  return x > 0 ? x : -x;

}

//-------------------------------------------------------------------------------

template<class T>
inline 
void SWAP(T &a, T &b)
{

  T  t = b;
  b = a;
  a = t;

}

//-------------------------------------------------------------------------------

#endif
